'''
Created on 2019年8月23日
@author: GongQingBao
事件类型-枚举.
'''


from enum import Enum


class EvtType(Enum):
    BOX_STATUS = 0  # 机箱状态-变化
    SLOT_STATUS = 1  # 子卡状态-变化
    PRESET_POOL = 2  # 场景切换
    UPGRADE = 3  # 升级
    SCREENBRIGHTNESS = 4  # 屏幕亮度
    USB_STATUS = 5  # usb接口状态更新
    SCREENHDR = 6
    HDR_SUPPORT = 7
    IPC_URL_STATUS = 8
    STD_IO_Card_STATUS = 9  # 中控子卡
    OUTPUT_BACKUP_STATUS = 10  # 输出卡备份掉源
    LanguageMode = 11  # 语言模式修改
    IPCMontageStatus = 13  # IPC 拼接源变化
    ScreenAudioChanged = 14  # 屏幕音频变化
    GenLockChanged = 15  # GenLock变化
    UpdateScreenOsd = 16  # PRESET变化
    FiberModeChanged = 18  # 光口卡源变化
    VideoStreamingChanged = 19  # 2110卡拉流状态变化
